Bug 237410 - Newer packages for python2.4 break dependency tree for users of original packages
Newer packages for python2.4 break dependency tree for users of original pack...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-22 03:14 EDT by James Davis
Modified: 2008-08-02 19:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:31:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Davis 2007-04-22 03:14:56 EDT
Description of problem:
In the upgrade from the original rpm to the newest version it appears that a
provides statement for libpython2.4.so.1.0 was missed.

Version-Release number of selected component (if applicable):


How reproducible:
For me 100%

Steps to Reproduce:
1.Do a fresh install of FC-6 on an x86_64 (use default packages).
2.Reboot after install
3.Use the updates software to install all available updates.
4.Use the package manager to try to install kde

  
Actual results:
Error: Missing Dependency: libpython2.4.so.1.0 is needed by package kdeutils

Expected results:
It would install just fine as the file libpython2.4.so.1.0 is installed, it just
has no packages that say it provides it.

Additional info:
See this link for more info on this particular instance.
I posted this to the python package because my update (downloading the current
source rpm, adding a provides libpython2.4.so.1.0, rebuilding and upgrading) to
the python package fixes this.

http://forums.fedoraforum.org/showthread.php?p=780885&posted=1#post780885

This may not affect people with updates that have had their dependencies updated
to reflect this, but for people who have not gotten the updates, this WILL break
the system and cause much frustration (I have read many posts about this issue,
no one has had any good fixes for it).
Comment 1 Jeremy Katz 2007-04-23 11:39:53 EDT
The 32bit python package hasn't ever been shipped for x86_64 in FC6 and
shouldn't be being required
Comment 2 deanm 2007-04-25 23:12:03 EDT
(In reply to comment #1)
> The 32bit python package hasn't ever been shipped for x86_64 in FC6 and
> shouldn't be being required

I just installed  FC6 (respin) on a 64-bit machine and I'm having the same
problem as the OP.

I did the install, then an update.  Following this, I installed the kde stuff
from the redhat-kde repository.  That triggered the problem with the missing
"provides".  The actual problem appears to be that both i386 and x86_64 versions
of kdeutils and kdeedu get installed.  The x86_64 versions require the 64-bit
version of libpython2.4.so.1.0 (which is on my system) and the i386 versions
require the 32 version of libpython (which is _not_ installed on my system). Yum
does not even see a i386 version of python2.4.

By removing the i386 versions of kdeutils and kdeedu, the dependency problem
vanishes.  I'm a newbie at "multilib" systems so I don't really know what bad
things will happen from having removed these packages.
Comment 3 Andrej Krutak 2007-04-27 02:48:41 EDT
I'm not so sure about this, but the problem might be elsewhere. In initial
installation of fc6 there is no kdeutils.i386 or kdeedu.i386 versiou, but it
appeared in updates. And these updates depend on python.i386, which doesn't
exist.  I don't know, what's the standard "fix" for such bugs...
Comment 4 Vlado Potisk 2007-04-30 10:05:57 EDT
yum install kdeutils - fails
yum install kdeutils.x86_64 - works
Comment 5 Neil Smyth 2007-05-01 10:22:59 EDT
I'm afraid I'm quite new to linux (messing on and off for a while though) and
this has thrown me.  I installed x86_64 with the default settings a few months
back, have done updates, added beryl and nvidia drivers.  I decided to add KDE
the other day and give it a try.  I got the same "Error: Missing Dependency:
libpython2.4.so.1.0 is needed by package kdeutils" responce from both the
"Add/Remove software" in the UI and from "yum groupinstall 'KDE (K Desktop
Environment)'" on the command line.  No idea what to do next...
Comment 6 Mike 2007-05-02 16:22:58 EDT
Running Gnome on FC6(64).
Following on from the comments made here, I was able to install the KDE desktop
as follows:

yum install kdeutils.x86_64
yum groupinstall 'KDE (K Desktop Environment)' --exclude=kdeutils
yum install switchdesk

I have checked kcalc etc. and they seem to run fine.
Hope this helps to squash the bug!
Comment 7 Rex Dieter 2007-11-17 17:51:04 EST
Clearly multilib ugliness going on here.  Can anybody confirm this is still a
problem with the latest updates?
Comment 8 Bug Zapper 2008-04-04 02:55:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 15:31:35 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.